:root {
	--menu-level-1-bg: #f5f5f5;
	--menu-level-2-bg: #f0e9d9;
	--menu-level-3-bg: #ffffff;
}



/* ----- Mobile Navigation ----- */

.nav-toggle-bg {
	position: fixed;
	left: 0;
	top: 0;
	height: 80px;
	width: 82px;
	background: #fff;
	z-index: 1300;
	display: none;
}
.nav-toggle {
	display: block;
	position: fixed;
	left: 20px;
	top: 20px;
	padding: 0;
	width: 40px;
	height: 40px;
	background: transparent;
	cursor: pointer;
	z-index: 1550;
	overflow: visible;
}
body.nav-fixed .nav-toggle {
	top: 20px;
}
.hamburger, .hamburger:before, .hamburger:after {
	display: block;
	width: 40px;
	height: 3px;
	border-radius: 1px;
	background: var(--nav-color);
	-webkit-transition: 0.2s ease;
	-moz-transition: 0.2s ease;
	-o-transition: 0.2s ease;
	-ms-transition: 0.2s ease;
	transition: 0.2s ease;
}
.hamburger {
	width: 30px;
}

.hamburger {
	position: relative;
	margin: 19px 0px;
}
.hamburger:before, .hamburger:after {
	content: '';
	position: absolute;
	left: 0;
	top: 0;
}
.hamburger:before {
	-webkit-transform: translateY(-14px);
	-ms-transform: translateY(-14px);
	transform: translateY(-14px);
}
.hamburger:after {
	-webkit-transform: translateY(14px);
	-ms-transform: translateY(14px);
	transform: translateY(14px);
}
.nav-toggle:not(.is-active):hover .hamburger {
	width: 40px;
}
.nav-toggle:not(.is-active):hover .hamburger:before {
	width: 30px;
	-webkit-transform: translate(10px -14px);
	-ms-transform:  translate(10px -14px);
	transform:  translate(10px -14px);
}
.nav-toggle:not(.is-active):hover .hamburger:after {
	width: 30px;
	-webkit-transform: translate(10px 14px);
	-ms-transform: translate(10px 14px);
	transform: translate(10px 14px);
}

.nav-toggle.is-active .hamburger * {
	background: var(--nav-color);
}
.nav-toggle.is-active .hamburger:before {
	-webkit-transform: rotate(45deg);
	-ms-transform: rotate(45deg);
	transform: rotate(45deg);
}
.nav-toggle.is-active .hamburger {
	background: transparent;
}
.nav-toggle.is-active .hamburger:after {
	-webkit-transform: rotate(-45deg);
	-ms-transform: rotate(-45deg);
	transform: rotate(-45deg);
}
.nav-toggle.is-active .hamburger:before,
.nav-toggle.is-active .hamburger:after {
	background: var(--nav-color);
}
.nav-toggle.is-active:after {
	display: none;
}



/* ----- Breadcrumb ----- */

.breadcrumb-wrap {
	display: none;
}

@media (min-width: 721px) {
	
	.breadcrumb-wrap {
		display: block;
		padding: 0 10px;
	}
	.breadcrumb {
		display: block;
		width: 100%;
		margin: 0 auto;
		text-align: right;
		font-size: 14px;
		font-weight: 500;
		color: var(--text-color);
		background: transparent;
		padding: 10px 0;
	}
	.breadcrumb a { color: var(--text-color); text-decoration: none; }
	.breadcrumb a:hover { text-decoration: underline; }

}

/* Navigations-Container */

.nav-menu-container {
	display: block;
	position: fixed;
	top: 0;
	bottom: 0;
	left: -999em;
	width: 100%;
	padding: 0;
	opacity: 0;
	z-index: 1010;
	opacity: 0;
	-moz-transition: opacity 0.5s;
	-webkit-transition: opacity 0.5s;
	-ms-transition: opacity 0.5s;
	-o-transition: opacity 0.5s;
	transition: opacity 0.5s;
}
.nav-menu-container.is-active {
	left: 0;
	opacity: 1;
}

.nav-menu-inner {
	width: 100%;
	max-width: 100%;
	overflow: hidden;
}

.nav-main {
	background: #fff;
	padding: 40px;
}


/* eigentliche Navigation */

.nav-menu-underlay {
	position: fixed;
	top: 0px;
	left: -999em;
	background: rgba(0,0,0,0.3);
	-moz-transition: opacity 0.5s;
	-webkit-transition: opacity 0.5s;
	transition: opacity 0.5s;
	-ms-transition: opacity 0.5s;
	-o-transition: opacity 0.5s;
	opacity: 0;
	display: block;
	z-index: 890;
}

.nav-menu-underlay.is-active {
	top: 0px;
	left: 0px;
	bottom: 0;
	right: 0;
	width: 100%;
	height: 100%;
	opacity: 1;
}

.main-nav {
	width: 100%;
	height: 100vh;
	position: relative;
	overflow: hidden;
	background: #fff;
	align-items: center;
	margin: 0 0 20px 0;
}

.main-nav button {
	appearance: none;
	border: 0;
	padding: 0;
	margin: 0;
	background: transparent;
	color: inherit;
	font: inherit;
	line-height: inherit;
	text-align: inherit;
	cursor: pointer;
}

.main-menu,
.main-menu__panel {
  list-style: none;
  margin: 0;
  padding: 0;
}

.main-menu {
	display: block;
	width: 100%;
}
.main-menu__panel {
	display: block;
	width: 100%;
	height: 100%;
	height: calc(100vh - 120px);
	overflow: hidden;
	position: absolute;
	top: 0;
	left: 100%;
	/* inset: 0; */
	background: #fff;
	opacity: 0;
	-moz-transition: opacity 0.5s;
	-webkit-transition: opacity 0.5s;
	-ms-transition: opacity 0.5s;
	-o-transition: opacity 0.5s;
	transition: opacity 0.5s;
}
.main-menu__panel.is-open {
	left: 0;
	opacity: 1;
}
.main-menu__panel.is-top-panel {
	overflow-y: scroll;
	overflow-x: hidden;
}
.main-menu__panel.is-top-panel .main-menu__back-item {
	position: sticky;
	top: 0;
	background: #fff;
}
.main-menu__item {
	display: block;
	width: 100%;
	position: static;
}

.main-menu__item a,
button.main-menu__trigger {
	text-decoration: none;
	display: inline-block;
	padding: 8px 0;
	font-weight: 300;
}
.main-menu__item a:hover,
button.main-menu__trigger:hover {
	text-decoration: underline;
	color: var(--text-color);
	text-underline-offset: 0.2em;
}
.main-menu__parent a {
	text-decoration: none;
	display: inline-block;
	padding: 5px 0 10px 0;
	/*
	text-transform: uppercase;
	font-size: 1.2em;
	font-weight: 400;
	*/
}
button.main-menu__trigger:after {
	display: inline-block;
	content: '\f105';
	font-family: 'FontAwesome';
	padding-left: 0.5em;
}
button.main-menu__back {
	display: inline-block;
	padding: 0;
	height: 20px;
	line-height: 20px;
	background: transparent;
	margin: 0 0 20px 0;
	font-weight: 500;
	font-size: 14px;
	text-transform: uppercase;
}

button.main-menu__back:before {
	display: inline-block;
	content: '\f177';
	font-family: 'FontAwesome';
	padding-right: 10px;
}

.main-menu > li > button,
.main-menu > li > a {
	font-size: 36px;
	font-family: 'xeye_serif', 'Times New Roman', Georgia, Serif;
	font-weight: normal;
}
.main-menu > li > button:after {
	font-size: 30px;
}


.main-menu__item.is-act > a,
.main-menu__item.is-act > button,
.main-menu__parent.is-act > a {
  font-weight: 600;
}

.main-menu__item.is-cur > a,
.main-menu__parent.is-cur > a {
  font-weight: 500;
  text-decoration: underline;
}

.main-menu__parent-link {
  display: block;
  font-weight: 700;
}


@keyframes fade-in {
  from {
    opacity: 0;
    transform: translateY(4px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}




/* Media Queries */

@media only screen and (max-width: 960px) {
	
	.main-menu > li > button, 
	.main-menu > li > a {
		font-size: 28px;
	}
	.main-menu > li > button::after {
		font-size: 24px;	
	}

}



@media (max-width: 720px) {
	
	.nav-menu-inner {
		flex-direction: row;
		flex-wrap: wrap;
	}
	.nav-main {
		flex-basis: 100%;
		padding: 200px 20px 20px 20px;
	}
	.nav-main a {
		font-size: 1.1em;
	}
	.main-nav,
	.main-menu__panel {
		height: 100svh;
		height: calc(100svh - 270px);
	}
	.main-nav {
		margin: 0 0 10px 0;
	}

}

@media (min-width: 481px) {

	.nav-toggle {
		left: 20px;
		top: 30px;
	}

}

@media (min-width: 1200px) {
	
	.nav-toggle {
		left: 40px;
	}
	
	.nav-main {
		padding: 0;
	}
	.main-menu {
		width: 100%;
		padding: 200px 0 0 40px;
		padding-top: calc(20vh + 60px);
	}
	.main-nav {
		background-image: url('../images/background/main_nav_bg.jpg');
		background-size: 66.666666%;
		background-position: right top;
		background-repeat: no-repeat;
		background-color: var(--menu-level-1-bg);
	}
	.main-menu > li > button, .main-menu > li > a {
		padding: 6px 0;
		font-size: 24px;
	}
	.main-menu > li > button:after {
		font-size: 20px;
	}
	.main-menu__panel {
		height: 100vh;
		padding: 0 40px;	
	}
	.main-menu, 
	.main-menu__panel {
		padding-left: calc(3vw + 20px);
	}
	.main-menu__back-item {
		padding-top: 160px;
		padding-top: calc(20vh + 20px);
	}
	.main-menu__back span {
		display: none;
	}
	.main-menu__back:after {
		display: inline;
		content: 'schließen';
	}
	.main-menu__panel.mm-level-2 {
		width: 66.666666%;
		background: var(--menu-level-2-bg);
	}
	.main-menu__panel.mm-level-2:after {
		display: block;
		content: '';
		width: 50%;
		position: absolute;
		top: 0;
		right: 0;
		height: 100vh;
		/* background-image: url('../images/background/main_nav_bg.jpg'); */
		background-size: cover;
		background-position: center center;
		background-repeat: no-repeat;
	}
	
	.main-menu__panel.mm-level-2 > .main-menu__back-item {
		background: var(--menu-level-2-bg);
	}
	.main-menu__panel.mm-level-3 {
		width: 50%;
		z-index: 10;
	}
	.main-menu__panel.mm-level-2.is-open {
		left: 33.333333%;
	}
	.main-menu__panel.mm-level-3 > .main-menu__back-item {
		background: var(--menu-level-3-bg);
	}
	.main-menu__panel.mm-level-3.is-open {
		left: 50%;
	}
	.main-menu__item a, button.main-menu__trigger {
		font-size: 1.2em;
		padding: 6px 0;
	}
}

@media (min-width: 1600px) {
	
	.nav-toggle {
		top: 40px;
	}
	.main-menu {
		padding-top: 200px;
		padding-top: calc(20vh + 100px);
	}
	.main-menu__back-item {
		padding-top: 160px;
		padding-top: calc(20vh + 60px);
	}
	.main-menu > li > button, .main-menu > li > a {
		padding: 10px 0;
		font-size: 36px;
	}
	.main-menu > li > button:after {
		font-size: 30px;
	}
	.main-menu__item a, button.main-menu__trigger {
		font-size: 1.6em;
		padding: 8px 0;
	}

}
